/*

The contents of this file are subject to the Mozilla Public
License Version 1.1 (the "License"); you may not use this file
except in compliance with the License. You may obtain a copy of
the License at http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS
IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
implied. See the License for the specific language governing
rights and limitations under the License.

Alternatively, the contents of this file may be used under the
terms of the GNU General Public License Version 2 or later (the
"GPL"), in which case the provisions of the GPL are applicable 
instead of those above.

*/


function applyDefaultTextFormat()
{
    if(!IsHTMLEditor())
    {
        //alert("not an html editor");
        return;
    }
    //GetCurrentEditor().removeAllInlineProperties();
    goDoCommand("cmd_cut");
    applyHTMLTextPrefs();
    goDoCommand("cmd_pasteNoFormatting");
}



function applyHTMLPrefs()
{
    applyHTMLTextPrefs();
    applyHTMLBodyPrefs();
}



function applyHTMLTextPrefs()
{
    var pref = GetPrefs();

    var fontFace;
    var fontSize;
    var textColor;

    try 
    { 
        fontFace = pref.getCharPref("msgcompose.font_face");
        doStatefulCommand('cmd_fontFace', fontFace);
        //EditorRemoveTextProperty("font","face");
        EditorSetTextProperty("font", "face", fontFace);
    } 
    catch (e) {}

    try
    { 
        fontSize = pref.getCharPref("msgcompose.font_size");
        EditorSetFontSize(fontSize);
    } 
    catch (e) {}  


    try 
    { 
        textColor = pref.getCharPref("msgcompose.text_color");
        EditorSetTextProperty("font", "color", textColor);
        gDefaultTextColor = textColor;
        document.getElementById("cmd_fontColor").setAttribute("state", textColor);    
        onFontColorChange();
    } 
    catch (e) {}
}



function applyHTMLBodyPrefs()
{
    var pref = GetPrefs();
    var bgColor;
    
    var bodyElement = GetBodyElement();

    try 
    { 
        bgColor = pref.getCharPref("msgcompose.background_color");
        bodyElement.setAttribute("bgcolor", bgColor);
        gDefaultBackgroundColor = bgColor;
        document.getElementById("cmd_backgroundColor").setAttribute("state", bgColor);
        onBackgroundColorChange();
    } 
    catch (e) {}
}



// REPLACEMENT FOR FUNCTION OF SAME NAME FOUND IN MSGCOMPOSECOMMANDS.JS
//
function ComposeFieldsReady(msgType)
{
    //If we are in plain text, we need to set the wrap column
    if (! gMsgCompose.composeHTML) {
        try {
            gMsgCompose.editor.QueryInterface(nsIPlaintextEditorMail).wrapWidth
                    = gMsgCompose.wrapLength;
        }
        catch (e) {
            dump("### textEditor.wrapWidth exception text: " + e + " - failed\n");
        }
    }
    CompFields2Recipients(gMsgCompose.compFields, gMsgCompose.type);
    SetComposeWindowTitle();
    if (gMsgCompose.composeHTML) setTimeout("applyHTMLPrefs();", 0);  // this line is only change to function
    enableEditableFields();
    AdjustFocus();
}

