/*

The contents of this file are subject to the Mozilla Public
License Version 1.1 (the "License"); you may not use this file
except in compliance with the License. You may obtain a copy of
the License at http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS
IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
implied. See the License for the specific language governing
rights and limitations under the License.

Alternatively, the contents of this file may be used under the
terms of the GNU General Public License Version 2 or later (the
"GPL"), in which case the provisions of the GPL are applicable 
instead of those above.

*/

var mcf_prefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService).getBranch("msgcompose.");


function mcfReadPref(name) {
    if (mcf_prefs.prefHasUserValue(name)) {
        var type = mcf_prefs.getPrefType(name);
        if (type & 128) {
            return mcf_prefs.getBoolPref(name);
        }
        else if (type & 64) {
            return mcf_prefs.getIntPref(name);
        }
        else if (type & 32) {
            return mcf_prefs.getCharPref(name);
        }
        else {
            return null;
        }
    }
    else {
        return null;
    }
}


function populateFonts() {
    var fontsList = document.getElementById("FontSelect");
    try {
        var enumerator = Components.classes["@mozilla.org/gfx/fontenumerator;1"].getService(Components.interfaces.nsIFontEnumerator);
        var localFontCount = { value: 0 }
        var localFonts = enumerator.EnumerateAllFonts(localFontCount);
        for (var i = 0; i < localFonts.length; ++i) {
            if (localFonts[i] != "") {
                fontsList.appendItem(localFonts[i], localFonts[i]);
            }
        }
    }
    catch(e) { }
}


function setColorWell(aPicker) {
    var colorRef = aPicker.nextSibling;
    colorRef.setAttribute( "value", aPicker.color );
}


function initMcfPrefPanel() {
    populateFonts();
    initMcfPrefs();
}


function initMcfPrefs() {

    var fontFace = mcfReadPref("font_face");
    var fontSize = mcfReadPref("font_size");
    var textColor = mcfReadPref("text_color");
    var bgColor = mcfReadPref("background_color");

    if(fontSize == null || fontSize == "") fontSize = "medium";
    if(textColor == null || textColor == "") textColor = "#000000";
    if(bgColor == null || bgColor == "") bgColor = "#FFFFFF";


    document.getElementById("FontSelect").value = fontFace;
    document.getElementById("FontSizeSelect").value = fontSize;
    document.getElementById("TextColorData").value = textColor;
    document.getElementById("TextColorButton").color = textColor;
    document.getElementById("BackgroundColorData").value = bgColor;
    document.getElementById("BackgroundColorButton").color = bgColor;
}


function saveMcfPrefs() {
    mcf_prefs.setCharPref("font_face", document.getElementById("FontSelect").value);
    mcf_prefs.setCharPref("font_size", document.getElementById("FontSizeSelect").value);
    mcf_prefs.setCharPref("text_color", document.getElementById("TextColorButton").color);
    mcf_prefs.setCharPref("background_color", document.getElementById("BackgroundColorButton").color);
}
